Page MenuHomePhabricator

Can't create account on wikitech: unhelpful error if shell username is taken
Closed, ResolvedPublic

Description

Due to bug 56114, I was trying to create an account, with username "Federico", email this one, shell username "federico", but I always get:

Account creation error
There was either an authentication database error or you are not allowed to update your external account.

I tried some changes and looked in some wrong places including /home on Tools Labs but it seems it's the "federico" username being taken:
$ groups federico
federico : wikidev


Version: unspecified
Severity: normal

Details

Reference
bz56535

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:34 AM
bzimport set Reference to bz56535.
Nemo_bis created this task.Nov 3 2013, 2:36 PM

*** This bug has been marked as a duplicate of bug 16524 ***

This isn't by any means a duplicate.

Yes, yes it is. The extension can't send any error message better than the one it is sending due to the bug listed.

So then shouldn't it be marked as a blocker?

I believe this is resolved by this patch:

https://gerrit.wikimedia.org/r/#/c/94580/

(In reply to comment #5)

I believe this is resolved by this patch:
https://gerrit.wikimedia.org/r/#/c/94580/

Wonderful, a unicorn indeed if works as advertised. :) Can't wait to test it.

+1. This would be awesome, even though it's a weird way around mediawiki's limitation :D.

Restricted Application added a project: Cloud-Services. · View Herald TranscriptSep 17 2016, 9:22 PM